package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjDjjc;
import org.apache.ibatis.annotations.Param;

/**
 * 设计信息-井基础信息Mapper接口
 * 
 * @author
 * @date 2025-06-23
 */
public interface SjDjjcMapper 
{
    /**
     * 查询设计信息-井基础信息
     * 
     * @param id 设计信息-井基础信息主键
     * @return 设计信息-井基础信息
     */
    public SjDjjc selectSjDjjcById(Long id);

    /**
     * 查询设计信息-井基础信息列表
     * 
     * @param sjDjjc 设计信息-井基础信息
     * @return 设计信息-井基础信息集合
     */
    public List<SjDjjc> selectSjDjjcList(SjDjjc sjDjjc);

    /**
     * 新增设计信息-井基础信息
     * 
     * @param sjDjjc 设计信息-井基础信息
     * @return 结果
     */
    public int insertSjDjjc(SjDjjc sjDjjc);

    /**
     * 修改设计信息-井基础信息
     * 
     * @param sjDjjc 设计信息-井基础信息
     * @return 结果
     */
    public int updateSjDjjc(SjDjjc sjDjjc);

    /**
     * 删除设计信息-井基础信息
     * 
     * @param id 设计信息-井基础信息主键
     * @return 结果
     */
    public int deleteSjDjjcById(Long id);

    /**
     * 批量删除设计信息-井基础信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjDjjcByIds(Long[] ids);

    SjDjjc selectSjDjjcByJh(String jh);


    int batchDeleteByJhPrefix(@Param("jh") String jh);

    SjDjjc selectSjDjjcByinstanceId(String instanceId);

    int updateSjDjjcById(SjDjjc sjDjjc);

    SjDjjc selectSjDjjcByinstanceIdZjy(String instanceId);


    List<SjDjjc> getGcList(SjDjjc sjDjjc);

}
